MMM-Swipe: deprecated WARNINGS plus ERROR



  • Hi there,

    first of all: Do I understand it correctly, that there’s two HC-SR04 sensors neede? one for left and one for right?
    If so (which I imagine), please make the readme in github a bit more clear on this. Took me a few thoughts on how to figure “right” and “left” pins. If you’re not familiar with those sensors, you’re a bit confused… ;)

    after cloning the repo to modules and npm install I get the following warnings:

    pi@MagicMirror:~/MagicMirror/modules/MMM-Swipe $ npm install
    npm WARN deprecated math-statistics@1.2.0: THIS PROJECT IS NO LONGER MAINTAINED by clebert
    npm WARN deprecated typesystem@5.0.0: THIS PROJECT IS NO LONGER MAINTAINED by clebert
    npm WARN deprecated expressive-assertion@1.5.1: THIS PROJECT IS NO LONGER MAINTAINED by clebert
    

    Don’t know, if that’s the cause for the following errors on startup:

    pi@MagicMirror:~/MagicMirror $ DISPLAY=:0 npm restart &
    [1] 1171
    
    > magicmirror@2.1.0 start /home/pi/MagicMirror
    > electron js/electron.js
    
    Starting MagicMirror: v2.1.0
    Loading config ...
    Loading module helpers ...
    No helper found for module: MMM-Globe.
    Initializing new module helper ...
    WARNING! Could not load config file. Starting with default configuration. Error found: Error: Cannot find module 'mmm-usonic'
    Loading module helpers ...
    No helper found for module: MMM-Globe.
    Initializing new module helper ...
    App threw an error during load
    Error: Cannot find module 'mmm-usonic'
        at Module._resolveFilename (module.js:455:15)
        at Function.Module._resolveFilename (/home/pi/MagicMirror/node_modules/electron/dist/resources/electron.asar/common/reset-search-paths.js:35:12)
        at Function.Module._load (module.js:403:25)
        at Module.require (module.js:483:17)
        at require (internal/module.js:20:19)
        at Object. (/home/pi/MagicMirror/modules/MMM-Swipe/node_helper.js:11:16)
        at Module._compile (module.js:556:32)
        at Object.Module._extensions..js (module.js:565:10)
        at Module.load (module.js:473:32)
        at tryModuleLoad (module.js:432:12)
    Whoops! There was an uncaught exception...
    { Error: Cannot find module 'mmm-usonic'
        at Module._resolveFilename (module.js:455:15)
        at Function.Module._resolveFilename (/home/pi/MagicMirror/node_modules/electron/dist/resources/electron.asar/common/reset-search-paths.js:35:12)
        at Function.Module._load (module.js:403:25)
        at Module.require (module.js:483:17)
        at require (internal/module.js:20:19)
        at Object. (/home/pi/MagicMirror/modules/MMM-Swipe/node_helper.js:11:16)
        at Module._compile (module.js:556:32)
        at Object.Module._extensions..js (module.js:565:10)
        at Module.load (module.js:473:32)
        at tryModuleLoad (module.js:432:12) code: 'MODULE_NOT_FOUND' }
    MagicMirror will not quit, but it might be a good idea to check why this happened. Maybe no internet connection?
    If you think this really is an issue, please open an issue on GitHub: https://github.com/MichMich/MagicMirror/issues
    Launching application.
    

    it seems, the dependency to mmm-usonic wasn’t solved, I don’t see this module anywhere on my pi…

    Thanks for help!
    Thomas.


  • Module Developer

    Thomas,

    I haven’t developed it since I first made it so I’m not sure if it still works with all the updates the pi & MM have gotten. Sorry.

    If you want to still try and get it to work, yes you do need 2 sensors to detect movement between them. You also need to run the MagicMirror with sudo to allow permissions to the GPIO pins in MagicMirror.



  • @mochman ok. thanks for the update.

    Does anyone know: Is there some “newer” gesture-module for the MagicMirror?


Log in to reply
 

Looks like your connection to MagicMirror Forum was lost, please wait while we try to reconnect.